
Foreman - Bug #11031

Cannot remove interface with duplicate name

07/07/2015 07:39 AM - Jérôme Vizcaino

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Network   

Target version: 1.8.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2627

  

Description

Somehow, after migrating from foreman 1.7.4 to 1.8.2, duplicate interfaces appeared (especially on hosts with virtual nics and

bridges).

Trying to remove duplicate interfaces simply does not work.

Howto reproduce:

locate a host with duplicated interfaces (two br0 for example)

try to remove one of the 'br0'

submit

application complains that one of the 'br0' are invalid

Related issues:

Related to Foreman - Bug #11034: network/interfaces validation checks the rem... Closed 07/07/2015

Related to Foreman - Bug #11053: Ethernet interfaces not checked for uniquene... Duplicate 07/08/2015

Has duplicate Foreman - Bug #11410: Unable to delete invalid interfaces from ... Duplicate 08/18/2015

Has duplicate Foreman - Bug #11743: Multiple 'wwan0' interfaces prevent rebui... Duplicate 09/09/2015

Associated revisions

Revision 1e7822a5 - 08/31/2015 11:33 AM - Marek Hulán

Fixes #11031 - ignore identifiers of interfaces being destroyed

Revision bd3f3260 - 09/09/2015 11:37 AM - Marek Hulán

Fixes #11031 - ignore identifiers of interfaces being destroyed

(cherry picked from commit 1e7822a586b6e4f288823df0b9419ef2749d6b8c)

Revision cfa245cf - 09/15/2015 09:32 AM - Marek Hulán

Fixes #11031 - ignore identifiers of interfaces being destroyed

(cherry picked from commit 1e7822a586b6e4f288823df0b9419ef2749d6b8c)

History

#1 - 07/07/2015 08:05 AM - Dominic Cleal

- Category set to Network

Can you share the log from when you submit the form, and/or what the errors are (if shown) on the individual interfaces?

#2 - 07/07/2015 08:06 AM - Dominic Cleal

- Related to Bug #11034: network/interfaces validation checks the removed interfaces  added
#3 - 07/09/2015 02:32 AM - Marek Hulán

- Related to Bug #11053: Ethernet interfaces not checked for uniqueness and foreman would not allow to delete. added

#4 - 08/19/2015 02:56 AM - Dominic Cleal

- Has duplicate Bug #11410: Unable to delete invalid interfaces from foreman added

#5 - 08/19/2015 11:30 AM - Jason Frisvold

FWIW, I wasn't able to see any errors in the logs when I was having this problem.  I'll admit, though, I'm not sure which logs I should be checking.  In

my instance, I was looking at the foreman production.log in /var/log/foreman as well as the logs in /var/log/foreman-proxy.

#6 - 08/20/2015 09:12 AM - Marek Hulán

- Assignee set to Marek Hulán

#7 - 08/20/2015 10:43 AM - Marek Hulán

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2627 added

- Pull request deleted ()

#8 - 08/31/2015 12:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1e7822a586b6e4f288823df0b9419ef2749d6b8c.

#9 - 09/01/2015 04:25 AM - Dominic Cleal

- translation missing: en.field_release set to 84

#10 - 09/09/2015 06:40 AM - Dominic Cleal

- Has duplicate Bug #11743: Multiple 'wwan0' interfaces prevent rebuilding of machine added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1e7822a586b6e4f288823df0b9419ef2749d6b8c
http://www.tcpdf.org

